# 主题切换组件
共四个用例涵盖常见样式系统需求：
- [使用css module，主题按需加载用例](./examples/CSSModule)
- [使用纯css，主题按需加载用例](./examples/CSSModule)
- [使用css module单样式文件用例](./examples/CombinedCSSModule)
- [使用纯css单样式文件用例](./examples/CombinedPlainCSS)

样式书写模式一点建议：

针对按需加载场景，对于组件来说如果两种主题代码量并不多，其实也可以选择写到一起。
如果单文件内部是按照共享样式、主题1样式、主题2样式...类似这种分开书写的方式，
那么将来也会很方便进行多文件拆分不同主题代码，来切换到按需加载

# 使用用户操作系统主题偏好
代办事项：
- [ ] 监听系统主题切换事件，触发出题修改行为

相关文章：
- https://web.dev/prefers-color-scheme/
- https://github.com/GoogleChromeLabs/dark-mode-toggle

# API Docs
Coming soon...
